###

###

###

###

###

###

###

    OPENDIR(3)          Linux Programmer's Manual          OPENDIR(3)

    NAME
           opendir - open a directory

    SYNOPSIS
           #include <sys/types.h>

           #include <dirent.h>

           DIR *opendir(const char *name);

    DESCRIPTION
           The  opendir()  function  opens  a directory stream corre-
           sponding to the directory name, and returns a  pointer  to
           the  directory  stream.   The  stream is positioned at the
           first entry in the directory.

    RETURN VALUE
           The opendir() function returns a pointer to the  directory
           stream or NULL if an error occurred.

    ERRORS
           EACESS Permission denied.

           EMFILE Too many file descriptors in use by process.

           ENFILE Too many files are currently open in the system.

           ENOENT Directory  does  not  exist,  or  name  is an empty
                  string.

           ENOMEM Insufficient memory to complete the operation.

           ENOTDIR
                  name is not a directory.

    CONFORMING TO
           SVID 3, POSIX, BSD 4.3

### SEE ALSO

open, readdir, closedir, rewinddir, seekdir, telldir, scandir,

                               11 June 1995                         1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0